Bug Hunting Session
Bug 82448 - ENHANCEMENT: Handling of ODF Master Document ODM needs improvements to include other ODF source documents and improved UI over limited support in Navigator
Summary: ENHANCEMENT: Handling of ODF Master Document ODM needs improvements to includ...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Writer-Master-Doc
  Show dependency treegraph
 
Reported: 2014-08-11 07:38 UTC by Yves Tourneur
Modified: 2017-10-22 07:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yves Tourneur 2014-08-11 07:38:41 UTC
I often have a series of text documents, such as letters, congress notes (usually with few illustrations),  etc. I wish to bind into a unique one. I am dreaming of a kind of "booklet document" with an easy way to jump from one text to another, with a system of tabs in the bottom like in a spreadsheet. We can also imagine a conversion between this kind of document and a big text divided into chapters. 

This new object would allow compressing data, by decreasing the number of sparse files, and facilitate ordering office documentation and teaching documents. Would other users share this need ? It'd be a unique feature in LibreOffice I enjoy much.

It seems to me that it should require a mix of tools already existing for text and for spreadsheet. 

              
Operating System: All
Version: 4.4.0.0.alpha0+ Master
Comment 1 V Stuart Foote 2014-08-11 19:15:08 UTC
@Yves, in fact OASIS ODF already provides for this with the .ODM "Master Document" where various ODF documents are combined by reference, using shared templates for styling the full document.

Unfortunately the LibreOffice UI and UX for working with Master Documents is a bit cumbersome. The <F5> Navigator dialog takes on a different persona when working with outline elements of a Master Document, but only Text templates .OTT are currently supported.

Presently, LibreOffice (OO and AOO as well) provide ODM support just for .ODT documents with content linked/copied in from respective .ODG, .ODS, .ODF (I'm not sure about use of .ODP content).

Seems like the Master Document UX could be expanded to work with more of/all of the native ODF documents and additional template styles, rather than just linked/copied elements. Also, as you suggest--we would need changes to the UI to add functions more robust than currently provided with the Navigator for efficiently working with the sections of a Master Document.

Go ahead and try out use of an ODF Master Document. But would agree there is potential for enhancing this facet of the LibreOffice UI, so setting ux-advise.
Comment 2 Robinson Tryon (qubit) 2014-12-24 03:02:41 UTC
Component is ux-advise, so setting Status -> NEW.
Comment 3 Robinson Tryon (qubit) 2016-08-25 05:39:04 UTC Comment hidden (obsolete)
Comment 4 Heiko Tietze 2017-10-22 07:49:20 UTC
I understand Yves' request not as master document but something like multiple sheets in Calc. The use case is to compare two documents in one application. This type of UI is called multi document interface (MDI), usually understood as deteriorate to usability since average users don't understand the concept. It was removed from Microsoft products many years ago.

The request hasn't received much attention in the last years so I'm closing it was WONTFIX.